Loading...
Searching...
No Matches
ITrcGenElemIn Class Referenceabstract
OpenCSD Library : Interfaces

Interface for the input of generic trace elements. More...

`#include <trc_gen_elem_in_i.h>`

## Public Member Functions

| ITrcGenElemIn ()
virtual | ~ITrcGenElemIn ()
virtual ocsd_datapath_resp_t | TraceElemIn (const ocsd_trc_index_t index_sop, const uint8_t trc_chan_id, const OcsdTraceElement &elem)=0

## Detailed Description

Interface for the input of generic trace elements.

This interface is the principal output attachment point for the trace packet decoders.

Definition at line 51 of file trc_gen_elem_in_i.h.

## Constructor & Destructor Documentation

## ITrcGenElemIn()

ITrcGenElemIn::ITrcGenElemIn | ( |  | ) |

inline

Definition at line 54 of file trc_gen_elem_in_i.h.

## ~ITrcGenElemIn()

virtual ITrcGenElemIn::~ITrcGenElemIn | ( |  | ) |

inline virtual

Default constructor.

Definition at line 55 of file trc_gen_elem_in_i.h.

## Member Function Documentation

## TraceElemIn()

virtual ocsd_datapath_resp_t ITrcGenElemIn::TraceElemIn | ( | const ocsd_trc_index_t | index_sop,
|  | const uint8_t | trc_chan_id,
|  | const OcsdTraceElement & | elem
| ) |  |

pure virtual

Default destructor.

Interface for analysis blocks that take generic trace elements as their input. Final interface on the decode data path. The index provided is that for the generating trace packet. Multiple generic elements may be produced from a single packet so they will all have the same start index.

Parameters

  index_sop | : Trace index for start of packet generating this element.
  trc_chan_id | : CoreSight Trace ID for this source.
  &elem | : Generic trace element generated from the deocde data path

Returns
  ocsd_datapath_resp_t : Standard data path response.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/interfaces/trc_gen_elem_in_i.h